<template>
  <InfiniteLoading scrollViewClassName="common-infinite-scroll-list" v-bind="infiniteLoadingProps">
    <template #renderItem="{ item }">
      <TaskCard @click="goTaskDetail(item)" />
    </template>
  </InfiniteLoading>
</template>

<script setup lang="ts">
import { useTaskList } from '@/hooks';
import { TaskCard } from '@12333/components';
import Taro from '@tarojs/taro';

defineOptions({
  name: 'CompanyTaskList',
});

const { queryState, infiniteLoadingProps } = useTaskList();

function goTaskDetail(item: API.GetFlexTaskListOutput) {
  Taro.navigateTo({
    url: `${RouterPath.taskDetail}?id=${item.id}`,
  });
}
</script>

<style lang="scss">
@import '@/styles/common.scss';
</style>
